import { IStyledComponentOptions } from './type';
export * from './babel-chain';
export interface IBaseBabelConfigOption {
  appDirectory: string;
  presets?: {
    envOptions?: boolean | Record<string, any>;
    reactOptions?: boolean | Record<string, any>;
    typescriptOptions?: boolean | Record<string, any>;
  };
  plugins?: {
    transformRuntime?: any;
    import?: {
      antd?: {
        libraryDirectory: string;
      } | false;
    };
    styledComponentsOptions?: false | IStyledComponentOptions;
  };
  useLegacyDecorators?: boolean;
  syntax?: 'es5' | 'es6+';
  type?: 'module' | 'commonjs';
  runEnvironments?: 'node' | 'browsers';
  jsxTransformRuntime?: 'automatic' | 'classic';
  useTsLoader?: boolean;
  overrideBrowserslist?: string[];
}
export declare const getBaseBabelChain: (option: IBaseBabelConfigOption) => import("./babel-chain").BabelChain;
export declare const getBaseBabelConfig: any;
export * from './type';